Problème d'installation d'Apps

Bonjour,

J’ai beau regarder, relancer le serveur, faire un autoremove, un sudo apt-get update ou upgrade, ou tout ce que je peux savoir faire, je comprend pas que certaines applications, ne s’installe pas sur mon yunohost, alors qu’ils sont marqués “Working” et cependant d’autre qui sont en “In progress” s’installe sans problème, apres pour le fonctionnement c’est autre chose.
Je parle de :

  • Horde
  • Hubzilla
  • Linux-Dash et d’autre que je me souviens plus,

Y a t il une raison ?

Si le sujet à déjà été abordé, méa culpa, j’ai pas vu !

A bientôt

Salut,

je comprends que ce soit difficile de s’y retrouver, car comme tu le dis, certaines applications “working” sont en fait cassées et d’autres en “inprogress” sont au moins capable de s’installer correctement.

Dans l’infra YunoHost, on a des tests automatiques qui testent les applications officielles et les community “working” (mais pas les inprogress). Les résultats sont visibles ici https://dash.yunohost.org/appci/branch/stable

Dans les applications que tu cites, Horde et Hubzilla devraient au moins pouvoir s’installer (level 7 et 3). Par contre je vois que linux-dash est cassée (level 0)…

Du coup, est-ce que tu as un message d’erreur en particulier pour ces deux apps ?

J’ai pas pris le temps, hélas, je vais le faire cependant, de noter les messages d’erreur si il y en a, je pense que oui!
Dès que je peux, je regarderais si je trouve un message d’erreur si cela peux faire avancer les corrections :slight_smile:
A bientot

edit ! Pour Horde

sed: -e expression n°1, caractère 17: commande `s’ inachevée

  • ynh_exit_properly

  • local exit_code=1

  • ‘[’ 1 -eq 0 ‘]’

  • trap ‘’ EXIT

  • set +eu

  • echo -e ‘!!\n horde’’‘s script has encountered an error. Its execution was cancelled.\n!!’

  • type -t ynh_clean_setup

  • ynh_die

  • echo ‘’

  • exit 1

!!

horde’s script has encountered an error. Its execution was cancelled.

!!

Exécution du script « /var/cache/yunohost/from_file/horde_ynh-8664efeadc80dd19bbb1ba240f5373c4ad6737c7/scripts/remove »…

E: Impossible de trouver le paquet horde-ynh-deps

ERROR 1064 (42000) at line 1: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ‘’ at line 1

/etc/nginx/conf.d/xxxxx.nohost.me.d/horde.conf wasn’t deleted because it doesn’t exist.

/home/yunohost.app/horde wasn’t deleted because it doesn’t exist.

/var/www/horde wasn’t deleted because it doesn’t exist.

/etc/php5/fpm/pool.d/horde.conf wasn’t deleted because it doesn’t exist.

/etc/php5/fpm/conf.d/20-horde.ini wasn’t deleted because it doesn’t exist.

Voila tous les messages en surligné jaune et bleu pour certains

En gros je devrais regarder dans mariadb ?

Pour Hubzilla il me dit qu’il y a un conflit avec l’app Netdata, mais la fois précédent, NetData n’etait pas installé, et j’avais quand même le soucis d’installation